"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = void 0;
const commander_1 = require("commander");
const generator_1 = require("../../lib/generator");
function load(commander) {
    commander.program
        .command('generate <name>')
        .description('Create a new migration file')
        .option('-I, --irreversible', 'create an irreversible migration')
        .option('-C, --clone <name>', 'create a new migration from existing one')
        .option('--path <path>', 'path to migrations location (default: migrations)')
        .option('--tabs <number>', 'tabs width for indentation (default: migrations)')
        .option('--doubleQuote', 'use double quotes instead of single quotes for imports')
        .addOption(new commander_1.Option('--ext [extension]', 'migration extension type').choices(['js', 'ts']))
        .action((name, options) => void generator_1.MigrationGenerator.create(options).generate(name));
}
exports.load = load;
